Subject: Re: bug#63225: Compiling regexp patterns (and REGEXP_CACHE_SIZE in search.c)

From: Mattias Engdegård <[email-masked]>
Date: Mon, 8 May 2023 21:32:37 +0200

8 maj 2023 kl. 15.56 skrev Ihor Radchenko <[email-masked]>:

> I am not sure what I can make out of hits/misses, but I am at least able
> to look into frequency data, via sort re.log  | uniq -c > re-freq.log

I'm mostly curious about the regexp cache behaviour. What cache size did you use in this run?
Hardly 20, given the low miss rate? It would be interesting to see what sequence of regexps most commonly cause thrashing.

> It would be even nicer if apart from frequency, there was information
> about time taken to search for each regexp.

That's a bit messier but could be done if really needed.